Flexmonster with angular 6

Hello,
I am trying to get flexmonster to work with angular 6 project. I downloaded the sample angular project from github and upgraded the packages to 6+. First I faced rxjs related issues. These were fixed by installing the rxjs-compact package. Now I am facing the error below. It is difficult for us to move back from angular 6 since we are already invested in this version. We would like your awesome software to work with angular 6. Please find attached sample upgraded to 6.0. If you do not yet officially support 6.0, then can you please provide a temporary fix/workaround so we can continue development of the tool in our existing application.
ERROR in node_modules/@angular/core/src/render3/ng_dev_mode.d.ts(9,11): error TS2451: Cannot redeclare block-scoped variable ‘ngDevMode’.
node_modules/ng-flexmonster/node_modules/@angular/core/src/render3/ng_dev_mode.d.ts(9,11): error TS2451: Cannot redeclare block-scoped variable ‘ngDevMode’.
 
stackoverflow discussion on this 
https://stackoverflow.com/questions/48926322/cannot-redeclare-block-scoped-variable-ngdevmode
 

2 answers

Public
Dmytro Zvazhii Flexmonster May 22, 2018

Hello Kunal,
Thank you for reporting the issue. We will update the npm packages in the nearest time ETA June 4. As a temporary solution, we recommend you going to node_modules/ng-flexmonster and editing package.json manually. You need to move all @angular dependencies from "dependencies" area to a new "peerDependencies" area and then run npm install from the ng-flexmonster package. 
Please let us know if everything works fine for you.
Regards,
Dmytro

Public
Dmytro Zvazhii Flexmonster June 4, 2018

Hello Kunal,
We are glad to inform you that our ng-flexmonster project has been updated. You can update your project to the latest version.
Regards,
Dmytro

Please login or Register to Submit Answer